set more off

**************************************************************************
**************************************************************************
**                 APPENDIX TABLE 1: RANDOMIZATION TESTS
**************************************************************************
**************************************************************************

use STAR_students_clean.dta, clear
keep if gk == 1 & (gkrepeater == 0 | gkofgrepeater == 1)

* calculate means for teacher variables
sum gkteachblack gktyears gkteachadvdeg if gkofgrepeater == 0

* panel A: with school FE
eststo clear

qui eststo: areg male gkclass_ofgrep_dummy if gkofgrepeater == 0, absorb(gkschoolid) cluster(gkclassid)
qui eststo: areg black gkclass_ofgrep_dummy if gkofgrepeater == 0, absorb(gkschoolid) cluster(gkclassid)
qui eststo: areg gkfreelunch gkclass_ofgrep_dummy if gkofgrepeater == 0, absorb(gkschoolid) cluster(gkclassid)
qui eststo: areg age_years gkclass_ofgrep_dummy if gkofgrepeater == 0, absorb(gkschoolid) cluster(gkclassid)
qui eststo: areg gkoldforgrade gkclass_ofgrep_dummy if gkofgrepeater == 0, absorb(gkschoolid) cluster(gkclassid)
qui eststo: areg gkteachblack gkclass_ofgrep_dummy if gkofgrepeater == 0, absorb(gkschoolid) cluster(gkclassid)
qui eststo: areg gktyears gkclass_ofgrep_dummy if gkofgrepeater == 0, absorb(gkschoolid) cluster(gkclassid)
qui eststo: areg gkteachadvdeg gkclass_ofgrep_dummy if gkofgrepeater == 0, absorb(gkschoolid) cluster(gkclassid)

esttab, keep(gkclass_ofgrep_dummy) label nogaps se star(* 0.10 ** 0.05 *** 0.01) stats(pvalue N, fmt(2 0)) varwidth(28) b(3)

* panel B: with school FE and small-class dummy
eststo clear

qui eststo: areg male gkclass_ofgrep_dummy gksmallclass if gkofgrepeater == 0, absorb(gkschoolid) cluster(gkclassid)
qui eststo: areg black gkclass_ofgrep_dummy gksmallclass if gkofgrepeater == 0, absorb(gkschoolid) cluster(gkclassid)
qui eststo: areg gkfreelunch gkclass_ofgrep_dummy gksmallclass if gkofgrepeater == 0, absorb(gkschoolid) cluster(gkclassid)
qui eststo: areg age_years gkclass_ofgrep_dummy gksmallclass if gkofgrepeater == 0, absorb(gkschoolid) cluster(gkclassid)
qui eststo: areg gkoldforgrade gkclass_ofgrep_dummy gksmallclass if gkofgrepeater == 0, absorb(gkschoolid) cluster(gkclassid)
qui eststo: areg gkteachblack gkclass_ofgrep_dummy gksmallclass if gkofgrepeater == 0, absorb(gkschoolid) cluster(gkclassid)
qui eststo: areg gktyears gkclass_ofgrep_dummy gksmallclass if gkofgrepeater == 0, absorb(gkschoolid) cluster(gkclassid)
qui eststo: areg gkteachadvdeg gkclass_ofgrep_dummy gksmallclass if gkofgrepeater == 0, absorb(gkschoolid) cluster(gkclassid)

esttab, keep(gkclass_ofgrep_dummy) label nogaps se star(* 0.10 ** 0.05 *** 0.01) stats(pvalue N, fmt(2 0)) varwidth(28) b(3)
