set more off


**************************************************************************
**************************************************************************
**      ONLINE APPENDIX TABLE C.1: RESULTS FOR SCHOOL STAYERS
**************************************************************************
**************************************************************************

use STAR_students_clean.dta, clear
keep if gk == 1 & (gkrepeater == 0 | gkofgrepeater == 1)

gen school_stayer = 0
replace school_stayer = 1 if (gkschoolid == g1schoolid) & (g1schoolid == g2schoolid) & (g2schoolid == g3schoolid)
tab school_stayer if gkofgrepeater == 0

eststo clear

qui eststo: areg gkmath_std gkclass_ofgrep_dummy gksmallclass $studentbg if gkofgrepeater == 0 & school_stayer == 1, absorb(gkschoolid) cluster(gkclassid)
qui eststo: areg math94_std gkclass_ofgrep_dummy gksmallclass $studentbg if gkofgrepeater == 0 & school_stayer == 1, absorb(gkschoolid) cluster(gkclassid)
qui eststo: areg g4g8noncog_std gkclass_ofgrep_dummy gksmallclass $studentbg if gkofgrepeater == 0 & school_stayer == 1, absorb(gkschoolid) cluster(gkclassid)
qui eststo: areg hsindex_std gkclass_ofgrep_dummy gksmallclass $studentbg if gkofgrepeater == 0 & school_stayer == 1, absorb(gkschoolid) cluster(gkclassid)

esttab, mtitles("KG math" "G8 math" "Noncog" "HS index") keep(gkclass_ofgrep_dummy) label r2 compress nogaps se star(* 0.10 ** 0.05 *** 0.01) varwidth(28) b(3)
