set more off

**************************************************************************
**************************************************************************
**    ONLINE APPENDIX TABLE C.4: EFFECT ON SPECIAL ED./INSTR. STATUS
**************************************************************************
**************************************************************************

use STAR_students_clean.dta, clear
keep if gk == 1 & (gkrepeater == 0 | gkofgrepeater == 1)

* descriptive statistics
recode gkspeced gkspecin g1speced g1specin (2 = 0)
label drop gkspeced gkspecin g1speced g1specin
tabstat gkspeced gkspecin, by(gkofgrepeater) statistics(n mean sd) nototal
tabstat g1speced g1specin, by(gkofgrepeater) statistics(n mean sd) nototal

* regressions
eststo clear

qui eststo: areg gkspeced gkclass_ofgrep_dummy gksmallclass $studentbg if gkofgrepeater == 0, absorb(gkschoolid) cluster(gkclassid)
qui eststo: areg gkspecin gkclass_ofgrep_dummy gksmallclass $studentbg if gkofgrepeater == 0, absorb(gkschoolid) cluster(gkclassid)
qui eststo: areg g1speced gkclass_ofgrep_dummy gksmallclass $studentbg if gkofgrepeater == 0, absorb(gkschoolid) cluster(gkclassid)
qui eststo: areg g1specin gkclass_ofgrep_dummy gksmallclass $studentbg if gkofgrepeater == 0, absorb(gkschoolid) cluster(gkclassid)

esttab, keep(gkclass_ofgrep_dummy $studentbg gksmallclass) order(gkclass_ofgrep_dummy $studentbg gksmallclass) ///
	    mtitles("GK ed" "GK in" "G1 ed" "G1 in") label compress nogaps se star(* 0.10 ** 0.05 *** 0.01) varwidth(28) b(3)
