set more off

**************************************************************************
**************************************************************************
**   ONLINE APPENDIX TABLE C.5: EXCLUDING SPECIAL ED./INSTR. REPEATERS
**************************************************************************
**************************************************************************

use STAR_students_clean.dta, clear
keep if gk == 1 & (gkrepeater == 0 | gkofgrepeater == 1)

* identify classes with special ed./instr. repeaters
bysort gkclassid: egen gkclass_nspecedrep = total((gkofgrepeater == 1) * (gkspeced == 1)) if gk == 1
bysort gkclassid: egen gkclass_nspecinrep = total((gkofgrepeater == 1) * (gkspecin == 1)) if gk == 1

eststo clear

qui eststo: areg gkmath_std gkclass_ofgrep_dummy gksmallclass $studentbg gkspeced gkspecin if gkofgrepeater == 0 & gkclass_nspecedrep == 0 & gkclass_nspecinrep == 0, absorb(gkschoolid) cluster(gkclassid)
qui eststo: areg math94_std gkclass_ofgrep_dummy gksmallclass $studentbg gkspeced gkspecin if gkofgrepeater == 0 & gkclass_nspecedrep == 0 & gkclass_nspecinrep == 0, absorb(gkschoolid) cluster(gkclassid)
qui eststo: areg g4g8noncog_std gkclass_ofgrep_dummy gksmallclass $studentbg gkspeced gkspecin if gkofgrepeater == 0 & gkclass_nspecedrep == 0 & gkclass_nspecinrep == 0, absorb(gkschoolid) cluster(gkclassid)
qui eststo: areg hsindex_std gkclass_ofgrep_dummy gksmallclass $studentbg gkspeced gkspecin if gkofgrepeater == 0 & gkclass_nspecedrep == 0 & gkclass_nspecinrep == 0, absorb(gkschoolid) cluster(gkclassid)

esttab, keep(gkclass_ofgrep_dummy) mtitles("KG math" "G8 math" "Noncog" "HS index") label r2 compress nogaps se star(* 0.10 ** 0.05 *** 0.01) varwidth(28) b(3)
