set more off

**************************************************************************
**************************************************************************
**   TABLE 3: KINDERGARTEN REPEATER EXPOSURE AND NON-COGNITIVE SKILLS
**************************************************************************
**************************************************************************

use STAR_students_clean.dta, clear
keep if gk == 1 & (gkrepeater == 0 | gkofgrepeater == 1)

* effect on GK math scores for sub-samples
areg gkmath_std gkclass_ofgrep_dummy gksmallclass $studentbg if gkofgrepeater == 0 & g4pteffr_std != ., absorb(gkschoolid) cluster(gkclassid) // coeff. -0.075 SE (0.061)
areg gkmath_std gkclass_ofgrep_dummy gksmallclass $studentbg if gkofgrepeater == 0 & g8pteffr_std != ., absorb(gkschoolid) cluster(gkclassid) // coeff. -0.046 SE (0.057)
areg gkmath_std gkclass_ofgrep_dummy gksmallclass $studentbg if gkofgrepeater == 0 & g4g8noncog_std != ., absorb(gkschoolid) cluster(gkclassid) // coeff. -0.055 SE (0.051)


**************************************************************************
*                panel A: without demographic controls
**************************************************************************

eststo clear

qui eststo: areg g4pteffr_std gkclass_ofgrep_dummy gksmallclass if gkofgrepeater == 0, absorb(gkschoolid) cluster(gkclassid)
qui eststo: areg g4ptinit_std gkclass_ofgrep_dummy gksmallclass if gkofgrepeater == 0, absorb(gkschoolid) cluster(gkclassid)
qui eststo: areg g4ptappr_std gkclass_ofgrep_dummy gksmallclass if gkofgrepeater == 0, absorb(gkschoolid) cluster(gkclassid)
qui eststo: areg g4ptdpln_std gkclass_ofgrep_dummy gksmallclass if gkofgrepeater == 0, absorb(gkschoolid) cluster(gkclassid)
qui eststo: areg g8pteffr_std gkclass_ofgrep_dummy gksmallclass if gkofgrepeater == 0, absorb(gkschoolid) cluster(gkclassid)
qui eststo: areg g8ptinit_std gkclass_ofgrep_dummy gksmallclass if gkofgrepeater == 0, absorb(gkschoolid) cluster(gkclassid)
qui eststo: areg g8ptappr_std gkclass_ofgrep_dummy gksmallclass if gkofgrepeater == 0, absorb(gkschoolid) cluster(gkclassid)
qui eststo: areg g8ptdpln_std gkclass_ofgrep_dummy gksmallclass if gkofgrepeater == 0, absorb(gkschoolid) cluster(gkclassid)
qui eststo: areg g4g8noncog_std gkclass_ofgrep_dummy gksmallclass if gkofgrepeater == 0, absorb(gkschoolid) cluster(gkclassid)

esttab, keep(gkclass_ofgrep_dummy gksmallclass) order(gkclass_ofgrep_dummy $studentbg gkclasssize) ///
	    mtitles("G4 eff" "G4 ini" "G4 val" "G4 dis" "G8 eff" "G8 ini" "G8 val" "G8 dis" "index") label compress nogaps se star(* 0.10 ** 0.05 *** 0.01) varwidth(28) b(3)


**************************************************************************
*                  panel B: with demographic controls
**************************************************************************

eststo clear

qui eststo: areg g4pteffr_std gkclass_ofgrep_dummy $studentbg gksmallclass if gkofgrepeater == 0, absorb(gkschoolid) cluster(gkclassid)
qui eststo: areg g4ptinit_std gkclass_ofgrep_dummy $studentbg gksmallclass if gkofgrepeater == 0, absorb(gkschoolid) cluster(gkclassid)
qui eststo: areg g4ptappr_std gkclass_ofgrep_dummy $studentbg gksmallclass if gkofgrepeater == 0, absorb(gkschoolid) cluster(gkclassid)
qui eststo: areg g4ptdpln_std gkclass_ofgrep_dummy $studentbg gksmallclass if gkofgrepeater == 0, absorb(gkschoolid) cluster(gkclassid)
qui eststo: areg g8pteffr_std gkclass_ofgrep_dummy $studentbg gksmallclass if gkofgrepeater == 0, absorb(gkschoolid) cluster(gkclassid)
qui eststo: areg g8ptinit_std gkclass_ofgrep_dummy $studentbg gksmallclass if gkofgrepeater == 0, absorb(gkschoolid) cluster(gkclassid)
qui eststo: areg g8ptappr_std gkclass_ofgrep_dummy $studentbg gksmallclass if gkofgrepeater == 0, absorb(gkschoolid) cluster(gkclassid)
qui eststo: areg g8ptdpln_std gkclass_ofgrep_dummy $studentbg gksmallclass if gkofgrepeater == 0, absorb(gkschoolid) cluster(gkclassid)
qui eststo: areg g4g8noncog_std gkclass_ofgrep_dummy $studentbg gksmallclass if gkofgrepeater == 0, absorb(gkschoolid) cluster(gkclassid)

esttab, keep(gkclass_ofgrep_dummy $studentbg gksmallclass) order(gkclass_ofgrep_dummy $studentbg gkclasssize) ///
	    mtitles("G4 eff" "G4 ini" "G4 val" "G4 dis" "G8 eff" "G8 ini" "G8 val" "G8 dis" "index") label compress nogaps se star(* 0.10 ** 0.05 *** 0.01) varwidth(28) b(3)
