set more off


**************************************************************************
**************************************************************************
**    TABLE 4: KINDERGARTEN REPEATER EXPOSURE AND LONG-TERM OUTCOMES
**************************************************************************
**************************************************************************

use STAR_students_clean.dta, clear
keep if gk == 1 & (gkrepeater == 0 | gkofgrepeater == 1)

global studentbg = "male black gkfreelunch age_years gkoldforgrade"

* effect on GK math scores for sub-samples
areg gkmath_std gkclass_ofgrep_dummy gksmallclass $studentbg if gkofgrepeater == 0 & hsgpa!=., absorb(gkschoolid) cluster(gkclassid) // coeff. -0.067 SE (0.054)
areg gkmath_std gkclass_ofgrep_dummy gksmallclass $studentbg if gkofgrepeater == 0 & hsgraduate!=., absorb(gkschoolid) cluster(gkclassid) // coeff. -0.131 SE (0.050)
areg gkmath_std gkclass_ofgrep_dummy gksmallclass $studentbg if gkofgrepeater == 0 & hstest!=., absorb(gkschoolid) cluster(gkclassid) // coeff. -0.090 SE (0.041)


**************************************************************************
*                panel A: without demographic controls
**************************************************************************

eststo clear

qui eststo: areg hsgpa gkclass_ofgrep_dummy gksmallclass if gkofgrepeater == 0, absorb(gkschoolid) cluster(gkclassid)
qui eststo: areg hsgraduate gkclass_ofgrep_dummy gksmallclass if gkofgrepeater == 0, absorb(gkschoolid) cluster(gkclassid)
qui eststo: areg hstest gkclass_ofgrep_dummy gksmallclass if gkofgrepeater == 0, absorb(gkschoolid) cluster(gkclassid)
qui eststo: areg hsindex_std gkclass_ofgrep_dummy gksmallclass if gkofgrepeater == 0, absorb(gkschoolid) cluster(gkclassid)

esttab, keep(gkclass_ofgrep_dummy) mtitles("HS GPA" "HS grad" "HS test" "HS index") label r2 nogaps se star(* 0.10 ** 0.05 *** 0.01) varwidth(28) b(3) nonotes


**************************************************************************
*                  panel B: with demographic controls
**************************************************************************

eststo clear

qui eststo: areg hsgpa gkclass_ofgrep_dummy $studentbg gksmallclass if gkofgrepeater == 0, absorb(gkschoolid) cluster(gkclassid)
qui eststo: areg hsgraduate gkclass_ofgrep_dummy $studentbg gksmallclass if gkofgrepeater == 0, absorb(gkschoolid) cluster(gkclassid)
qui eststo: areg hstest gkclass_ofgrep_dummy $studentbg gksmallclass if gkofgrepeater == 0, absorb(gkschoolid) cluster(gkclassid)
qui eststo: areg hsindex_std gkclass_ofgrep_dummy $studentbg gksmallclass if gkofgrepeater == 0, absorb(gkschoolid) cluster(gkclassid)

esttab, keep(gkclass_ofgrep_dummy) mtitles("HS GPA" "HS grad" "HS test" "HS index") label r2 nogaps se star(* 0.10 ** 0.05 *** 0.01) varwidth(28) b(3) nonotes
